#!/bin/sh
# Copyright (c) lingff(ling@stu.pku.edu.cn),
# School of Software & Microelectronics, Peking University.
#
# A-Tune is licensed under the Mulan PSL v2.
# You can use this software according to the terms and conditions of the Mulan PSL v2.
# You may obtain a copy of Mulan PSL v2 at:
#     http://license.coscl.org.cn/MulanPSL2
# THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND, EITHER EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT, MERCHANTABILITY OR FIT FOR A PARTICULAR
# PURPOSE.
# See the Mulan PSL v2 for more details.
#
# Create: 2021-05-24

sysbench --test=/root/sysbench-0.5/sysbench-0.5/sysbench/tests/db/oltp.lua --num-threads=10 --max-time=30 --oltp-tables-count=10 --oltp-table-size=1000 --mysql-user=mysql --mysql-host=10.41.161.182 --mysql-port=3306 --max-requests=0 --forced-shutdown=1 prepare
sysbench --test=/root/sysbench-0.5/sysbench-0.5/sysbench/tests/db/oltp.lua --num-threads=10 --max-time=30 --oltp-tables-count=10 --oltp-table-size=1000 --mysql-user=mysql --mysql-host=10.41.161.182 --mysql-port=3306 --max-requests=0 --forced-shutdown=1 run  > sysbench_oltp_read_write.log
sysbench --test=/root/sysbench-0.5/sysbench-0.5/sysbench/tests/db/oltp.lua --num-threads=10 --max-time=30 --oltp-tables-count=10 --oltp-table-size=1000 --mysql-user=mysql --mysql-host=10.41.161.182 --mysql-port=3306 --max-requests=0 --forced-shutdown=1 cleanup

#sysbench --config-file=sysbench_config.cfg oltp_read_write --tables=10 --table-size=200000 --time=30 prepare
#taskset -c 2,3 sysbench --config-file=sysbench_config.cfg oltp_read_write --tables=10 --table-size=200000 --time=300 --mysql-ignore-errors=8005 run  > sysbench_oltp_read_write.log
#sysbench --config-file=sysbench_config.cfg oltp_read_write --tables=10 --table-size=200000 --time=300 --mysql-ignore-errors=8005 cleanup
